# Get State

Get the state of the server node and network.

**Request:**\
`requestType` is *getState*\
`includeCounts` is false if the fields numberOf are to be excluded

**Response:**

(N) `numberOfPeers` is the number of known peers on the network\
(N) `numberOfUnlockedAccounts` is the number of unlocked accounts on this node\
(N) `numberOfTransfers` is the number of AE transfers in the blockchain\
(N) `numberOfOrders` is the number of AE orders in the blockchain\
(N) `numberOfTransactions` is the number of transactions in the blockchain\
(N) `maxMemory` is the maximum amount of memory the node may use (in Bytes)\
(B) `isScanning` is true if this node is scanning the blockchain, false otherwise\
(S) `cumulativeDifficulty` is the current cumulative forging difficulty\
(N) `numberOfAssets` is the number of AE assets in the blockchain\
(N) `freeMemory` is the amount of free memory on this node (in Bytes)\
(N) `availableProcessors` is the number of processors on this node\
(N) `totalEffectiveBalanceNxt` is the total effective Balance of the network\
(N) `numberOfAccounts` is the number of accounts in the blockchain\
(N) `numberOfBlocks` is the number of blocks (height + 1) in the blockchain\
(S) `version` is the software version on this node\
(N) `numberOfBidOrders` is the number of AE bid orders in the blockchain\
(S) `lastBlock` is the last block address\
(N) `totalMemory` is the amount of memory this node is using (in Bytes)\
(S) `application` is the name of the software running on this node (typically CFW)\
(N) `numberOfAliases` is the number of aliases in the blockchain\
(N) `lastBlockchainFeederHeight` is the height of the last blockchain feeder\
(N) `numberOfTrades` is the number of AE trades in the blockchain\
(N) `time` is the current node time (in seconds since the genesis block)\
(N) `numberOfAskOrders` is the number of AE ask orders in the blockchain\
(S) `lastBlockchainFeeder` is the announced name of the feeder of the last blockchain\
(N) `requestProcessingTime` is the API request processing time (in millisec)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.fwallet.net/server-information/get-state.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
